<?php
require('./tools/formtools.php');
show_page_header("FaBox FAQ");
$this_fabox_version=file("version.txt");
?>

<h1>How to cite FaBox in a paper</h1>
<p>
Villesen, P (2007), <i>FaBox: an online toolbox for fasta sequences</i>,<br>
Molecular Ecology Notes 7 (6), 965-968. <br>
doi:10.1111/j.1471-8286.2007.01821.x<br>
</p>
<p>or</P>
<p>
Villesen, P (2007), <i>FaBox: an online fasta sequence toolbox</i>, 
<?php
// Get FaBox URL from version.txt file
 print $this_fabox_version[2];?>
</p> 

<h1>Contact information</h1>
<table><tr><td>
Palle Villesen Fredsted<BR>
Bioinformatics Research Centre, Aarhus University<BR>
Build. 1110, CF Moellers Alle 8<BR>
DK - 8000 Aarhus C<BR>
Denmark
</td><td>
mobile: +45 2447 1214<BR>
email:  palle[at]birc.au.dk<BR>
</td></tr></table>

<h1>FaBox runs out of memory / large sequence sets!</h1>
FaBox is written in PHP and ONLY RUNS ON A WEBSERVER!!! I do NOT have the possibility to increase the memory allowed, so the only workaround is to:<br>
<p>1. download FaBox</p>
<p>2. Install it to your OWN webserver</p>
<p>3. Configure your OWN webserver allowing a lot of memory usage</p>
<p>
But then the main idea is lost, so I suggest you find some other software that will do it for you - or team up with some bioinformaticians (collaborations are welcome, just email me).
</p>
<h1>Download FaBoX and run it on your own webserver</h1>
Direct download of FaBox: <a href="downloads/fabox.zip">Download zip file</a><br>
Please note that FaBox is written in PHP and ONLY RUNS ON A WEBSERVER!!! 
<h3>Installation instructions</h3>
Unzip the files to a directory on your webbrowser.<br>
Then you may edit the file "config.inc.php" in order to enable:
<ul>
<li>Logging by google analytics
<li>Logo image on/off
</ul>

<H1>About FaBox</h1>
<ul>
<li>FaBox is a collection of online tools that are useful for population biologists who are working with sequence datasets
<li>The basic concept is simple: one service performs one task
<li>Sequences need to be in fasta format
</ul>

<P>
The toolbox is developed to help the handling of DNA and protein sequences and is usefull when you either 
<ol>
<li>Doesn't want to install software
<li>Want to do something specific with your dataset, and can't find it
in your installed software (in this case you may have to write me an
email and request a particular service) 
</ol>
<P>
Typically I have often wanted to be able to combine the description of
my data (often in excel spreadsheets) with the actual data (often DNA
sequences). Hence the first tools in the toolbox is for manipulating
fasta headers, cropping alignments and doing some sequence comparison.
<P>
Also, producing correct input files for a range of programs seems to
be problematic for the average user. The advantage of a converter is
that it is guaranteed to work. Hence, I have included some converters
in some of the services as well as some stand-alone converters. The
converters are not necessarily meant to provide the final input file,
but you'll get a valid input file for Arlequin, MrBayes etc. - that
you may further edit so it suit your needs.
<P>This means that you may need to combine several of the tools to
finish your handling - but it keeps it relatively simple to use.
<h3>For many bioinformaticians these tools are trivial and can be
re-written in seconds. For the general user, they are quite likely to
be useful.</h3>

<h3>Please see individual help files for each service.</h3>
<?php
show_page_footer();
?>

